/// <reference types="react" />
import * as React from 'react';
import { BaseFieldProps } from 'redux-form';
import { AceSession, UserModel } from '@amalto/typings';
declare namespace CodeEditorInput {
    interface Props extends BaseFieldProps {
        name: string;
        label?: string | JSX.Element;
        readonly?: boolean;
        help?: string;
        containerClass?: string;
        inputClass?: string;
        mode?: string;
        height?: number | string;
        initSession?: AceSession;
        saveEditorContent?: (session: AceSession) => void;
        saveSession?: (session: AceSession) => void;
        displaySettings?: Settings;
        resetTick?: number;
        user?: UserModel;
        children?: React.ReactNode;
        key?: React.ReactText;
        ref?: React.Ref<any>;
        component?: any;
        format?: any;
        normalize?: any;
        props?: any;
        parse?: any;
        validate?: any;
        warn?: any;
        withRef?: any;
    }
    interface Settings {
        theme?: string;
        fontSize?: string;
        showInvisibles?: boolean;
        showGutter?: boolean;
        showIndent?: boolean;
        wrap?: boolean;
    }
    interface State {
    }
}
declare class CodeEditorInput extends React.Component<CodeEditorInput.Props, CodeEditorInput.State> {
    constructor(props: CodeEditorInput.Props);
    render(): JSX.Element;
}
export default CodeEditorInput;
